{#
 Generate the password form
 @var aSurveyInfo
 @var array extraRegisterPassword contains
     @var array aToken
     @var string passwordString the final password string (by attributes)
     @var string passwordAttribute setting
     @var string emailExtra settings
     @var string emailPasswordReminder settting
     @var string passwordCrypt setting
     @var string passwordReset setting
     @var string error current error (if post is sent with bad paswword)
     @var string reminder current reminder result
 @var surveyid
 @var token
#}
{% set languages = extraRegisterPassword.languages %}
{% set passwordString = extraRegisterPassword.passwordString %}

<div class="{{ aSurveyInfo.class.register }} container" {{ aSurveyInfo.attr.register }}>
    {{ aSurveyInfo.EM.ScriptsAndHiddenInputs  }}
    <div class="{{ aSurveyInfo.class.registerrow }} row" {{ aSurveyInfo.attr.registerrow }}>
        <div class='{{ aSurveyInfo.class.registerrowjumbotron }}' {{ aSurveyInfo.attr.registerrowjumbotron }}>
            {% if aSurveyInfo.alanguageChanger.show == true %}
                <div class="pull-right">
                    {{ include('./subviews/navigation/language_changer_form.twig') }}
                </div>
            {% endif %}
            <div class="{{ aSurveyInfo.class.registerrowjumbotrondiv }} container clearfix " {{ aSurveyInfo.attr.registerrowjumbotrondiv }}>
                {{ sprintf(languages["Please enter the %s you provided."], passwordString) }}
            </div>
        </div>
    </div>
    <div class="{{ aSurveyInfo.class.registerform }} row" {{ aSurveyInfo.attr.registerform }}>
        {{ C.Html.form(aSurveyInfo.surveyUrl,'post',({'id' : 'limesurvey', 'role' : 'form', 'class' : 'form'})) }}
            {% if extraRegisterPassword.error %}
                <div class="alert alert-danger">
                {% if extraRegisterPassword.error == 'invalid' %}
                        {{ sprintf(languages["The %s you provided is invalid."], passwordString) }}
                {% endif %}
                {% if extraRegisterPassword.error == 'empty' %}
                        {{ sprintf(languages["You must provide %s."], passwordString) }}
                {% endif %}
                </div>
            {% endif %}
            {% if extraRegisterPassword.reminder == 'success' %}
                <div class="alert alert-success">
                    {% if extraRegisterPassword.passwordReset %}
                        {{ sprintf(languages["A new %s was sent by email."], passwordString) }}
                    {% else %}
                        {{ sprintf(languages["The %s was sent by email."], passwordString) }}
                    {% endif %}
                </div>
            {% endif %}
            {% if extraRegisterPassword.reminder == 'error' %}
                <div class="alert alert-warning">
                    {% if extraRegisterPassword.passwordReset %}
                        {{ sprintf(languages["A new %s was generated, but an error happen when send the message."], passwordString) }}
                    {% else %}
                        {{ sprintf(languages["An error happen when send the message with %s."], passwordString) }}
                    {% endif %}
                </div>
            {% endif %}
            {{ C.Html.hiddenField('token', token,  ({'id' : 'token','class' : 'hidden'})) }}
            <div class='{{ aSurveyInfo.class.registerformcol }} col-md-8 col-md-offset-2' {{ aSurveyInfo.attr.registerformcol }}>
                <div class='{{ aSurveyInfo.class.registerformcolrow }} form-group row' {{ aSurveyInfo.attr.registerformcolrow }}>
                    <label for='password_attribute' class='{{ aSurveyInfo.class.registerformcolrowlabel }} control-label '>{{ extraRegisterPassword.passwordString }}</label>
                    <div class="">
                        {{ C.Html.passwordField('password_attribute', "", ({'id' : 'password_attribute','class' : 'form-control'})) }}
                    </div>
                </div>
                {# Submit register button #}
                <div class='{{ aSurveyInfo.class.registersave }} form-group row' {{ aSurveyInfo.attr.registersave }} >
                    <div class='{{ aSurveyInfo.class.registersavediv }}' {{ aSurveyInfo.attr.registersavediv }} >
                        <button type="submit" name="check" value="checkpassword" class='{{ aSurveyInfo.class.registersavedivbutton }} btn btn-primary' >
                            {{ languages["Continue"] }}
                        </button>
                    </div>
                </div>
                {% if (extraRegisterPassword.emailPasswordReminder) %}
                    {# Reset button #}
                    <div class='{{ aSurveyInfo.class.registersave }} form-group row' {{ aSurveyInfo.attr.registersave }} >
                        <div class='{{ aSurveyInfo.class.registersavediv }}' {{ aSurveyInfo.attr.registersavediv }} >
                            <button type="submit" name="reset" value="resetpassword" class='{{ aSurveyInfo.class.registersavedivbutton }} btn btn-link' >
                                {% if extraRegisterPassword.passwordReset %}
                                    {{ sprintf(languages["Receive a new %s by email"], passwordString) }}
                                {% else %}
                                    {{ sprintf(languages["Receive %s by email"], passwordString) }}
                                {% endif %}
                            </button>
                        </div>
                    </div>
                {% endif %}
            </div>
        </form>
    </div>
</div>
